"""add action logs

Revision ID: 105a035d5e6f
Revises: d873c6ef04b5
Create Date: 2023-10-26 16:34:32.033519

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '105a035d5e6f'
down_revision = 'd873c6ef04b5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('logs',
    sa.Column('associated_id', sa.String(), nullable=False),
    sa.Column('project_id', sa.String(), nullable=False),
    sa.Column('logs_size_in_bytes', sa.Integer(), nullable=True),
    sa.Column('index', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('associated_id')
    )
    op.create_table('log_lines',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('index', sa.Integer(), nullable=True),
    sa.Column('line', sa.Text(), nullable=True),
    sa.Column('size_in_bytes', sa.Integer(), nullable=True),
    sa.Column('logs_id', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['logs_id'], ['logs.associated_id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_log_lines_logs_id'), 'log_lines', ['logs_id'], unique=False)
    op.drop_column('action_deployment', 'last_logs_cache')
    op.drop_column('execution_result', 'log')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('execution_result', sa.Column('log', sa.TEXT(), autoincrement=False, nullable=False))
    op.add_column('action_deployment', sa.Column('last_logs_cache', sa.TEXT(), autoincrement=False, nullable=True))
    op.drop_index(op.f('ix_log_lines_logs_id'), table_name='log_lines')
    op.drop_table('log_lines')
    op.drop_table('logs')
    # ### end Alembic commands ###
